<?php
define("BASE_PATH", __DIR__ . '/../');

define("PUBLIC_PATH", BASE_PATH . '/public');
define("HANDLER_PATH", BASE_PATH . '/handler');
define("VIEW_PATH", BASE_PATH . '/view');
define("DATA_PATH", BASE_PATH . '/data');

// 设置模板引擎参数
define("VIEW_CONFIG", [
    // 模板文件目录
    'view_path'   => BASE_PATH . '/./view/',
    // 模板编译缓存目录（可写）
    'cache_path'  => BASE_PATH . '/./runtime/',
    // 模板文件后缀
    'view_suffix' => 'html',
]);

require_once "../boot.php";